# MatZeroRowsLocal

Zeros all entries (except possibly the main diagonal) of a set of rows of a matrix; using local numbering of rows.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatZeroRowsLocalIS(Mat mat,IS is,PetscScalar diag)

Collective on Mat

### Input Parameters

| mat | - the matrix
| is | - index set of rows to remove
| diag | - value put in all diagonals of eliminated rows

### Notes

Before calling MatZeroRowsLocal(), the user must first set the local-to-global mapping by calling MatSetLocalToGlobalMapping().

For the AIJ matrix formats this removes the old nonzero structure, but does not release memory. For the dense and block diagonal formats this does not alter the nonzero structure.

If the option MatSetOption(mat,MAT_KEEP_ZEROED_ROWS) the nonzero structure of the matrix is not changed (even for AIJ and BAIJ matrices) the values are merely zeroed.

The user can set a value in the diagonal entry (or for the AIJ and row formats can optionally remove the main diagonal entry from the nonzero structure as well, by passing 0.0 as the final argument).

### See Also

MatZeroRows(), MatZeroRowsLocal(), MatZeroEntries(), MatZeroRows(), MatSetLocalToGlobalMapping

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages